| eRPC API Reference Rev. 1.8.1 NXP Semiconductors

- Main Page
- API Reference
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
erpc::RequestContext Class Reference
Infrastructure » Client

Encapsulates all information about a request. More...

`#include <erpc_client_manager.h>`

Collaboration diagram for erpc::RequestContext:
[legend]

## Public Member Functions
| RequestContext (uint32_t sequence, Codec *codec, bool argIsOneway)
| Constructor. More...
Codec * | getCodec (void)
| Get inout codec (for writing). More...
uint32_t | getSequence (void) const
| Get sequence number (be sure that reply belong to current request). More...
bool | isOneway (void) const
| Returns information if request context is oneway or not. More...
void | setIsOneway (bool oneway)
| Set request context to be oneway type (only send data). More...

## Protected Attributes
uint32_t | m_sequence
| Sequence number. To be sure that reply belong to current request.
Codec * | m_codec
| Inout codec. Codec for receiving and sending data.
bool | m_oneway
| When true, request context will be oneway type (only send data).

## Detailed Description

Encapsulates all information about a request.

## Constructor & Destructor Documentation

erpc::RequestContext::RequestContext | ( | uint32_t | sequence,
|  | Codec * | codec,
|  | bool | argIsOneway
| ) |  |
| inline

Constructor.

This function sets request context attributes.

Parameters

  [in] | sequence | Sequence number.
  [in] | codec | Set in inout codec.
  [in] | isOneway | Set information if codec is only oneway or bidirectional.

## Member Function Documentation

Codec* erpc::RequestContext::getCodec | ( | void |  | ) |
| inline

Get inout codec (for writing).

Returns
  Inout codec.

uint32_t erpc::RequestContext::getSequence | ( | void |  | ) | const
| inline

Get sequence number (be sure that reply belong to current request).

Returns
  Sequence number.

bool erpc::RequestContext::isOneway | ( | void |  | ) | const
| inline

Returns information if request context is oneway or not.

Return values

  True | when request context is oneway direction, else false.

void erpc::RequestContext::setIsOneway | ( | bool | oneway | ) |
| inline

Set request context to be oneway type (only send data).

Returns
  Set request context to be oneway.

The documentation for this class was generated from the following file:

- erpc_client_manager.h